Package org.apache.tomcat.util.http.parser

# Class Priority

java.lang.Object
org.apache.tomcat.util.http.parser.Priority

public class Priority extends Object
HTTP priority header parser as per RFC 9218.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final boolean`
  `DEFAULT_INCREMENTAL`
  `static final int`
  `DEFAULT_URGENCY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Priority()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getIncremental()`
  `int`
  `getUrgency()`
  `static Priority`
  `parsePriority(Reader input)`
  Parsers an HTTP header as a Priority header as defined by RFC 9218.
  `void`
  `setIncremental(boolean incremental)`
  `void`
  `setUrgency(int urgency)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_URGENCY

    public static final int DEFAULT_URGENCY
    See Also:
      - Constant Field Values

  - ### DEFAULT_INCREMENTAL

    public static final boolean DEFAULT_INCREMENTAL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Priority

    public Priority()

- ## Method Details

  - ### getUrgency

    public int getUrgency()

  - ### setUrgency

    public void setUrgency(int urgency)

  - ### getIncremental

    public boolean getIncremental()

  - ### setIncremental

    public void setIncremental(boolean incremental)

  - ### parsePriority

    public static Priority parsePriority(Reader input) throws IOException
    Parsers an HTTP header as a Priority header as defined by RFC 9218.
    Parameters:
      `input` - The header to parse
    Returns:
      The resulting priority
    Throws:
      `IOException` - If an I/O error occurs while reading the input